Hitachi Vantara Pentaho Community Forums
Results 1 to 10 of 10

Thread: Community Text Editor doesn't work on Pentaho 7.0

  1. #1
    Join Date
    Nov 2015
    Posts
    20

    Exclamation Community Text Editor doesn't work on Pentaho 7.0

    Hi,

    I installed CTE on a fresh Pentaho 7.0 and it throws some javascript errors when I open the CTE. These are the errors:

    Code:
    Error: Script error for: cte/lib/require-css/css
    http://requirejs.org/docs/errors.html#scripterror  require.js:8:252
    And after a while it throws:

    Code:
    Error: Load timeout for modules: amd!cte/ml-modal/js/ml-modal_unnormalized2,amd!cte/fileTree/js/jqueryFileTree_unnormalized3,amd!cte/select2/select2.min_unnormalized4,cte/lib/require-css/css!cte/cte.css_unnormalized5,amd!cte/ml-modal/js/ml-modal,amd!cte/fileTree/js/jqueryFileTree,amd!cte/select2/select2.min,cte/lib/require-css/css!cte/ml-modal/css/ml-modal.css_unnormalized6,cte/lib/require-css/css!cte/fileTree/css/jqueryFileTree.css_unnormalized7,cte/lib/require-css/css!cte/select2/select2.min.css_unnormalized8
    http://requirejs.org/docs/errors.html#timeout  require.js:8:252

    What's going on?

  2. #2

    Default

    Hey oggers,

    - which OS are you using ( Linux / OSX / Win ) ?
    - how did you install CTE ( via Marketplace / manually dropping in pentaho-solutions/system ) ?
    - if via Marketplace: does it appear as up-to-date on it ?

    Best regards,

    Pedro T.

  3. #3
    Join Date
    Nov 2015
    Posts
    20

    Default

    Hi Pedro,

    Answering your questions:
    - the pentaho bi server is on a ubuntu 16.04 server installed, running with oracle java.

    - I installed it using the marketplace. I remember it was version 7.0-something when I installed it, but the files in the cte/lib directory are:
    Code:
    cpf-core-7.1-SNAPSHOT.jar
    cpf-pentaho-7.1-SNAPSHOT.jar
    cte-7.1-SNAPSHOT.jar
    jericho-html-3.1.jar
    - Now it appears as upgradable in the marketplace to version 7.0-SNAPSHOT. If I try to upgrade it throws an error.

    Thank you.

  4. #4

    Default

    Hey oggers,

    did a quick try of pentaho-server-ce-7.0.0.0-25 on Ubuntu 16.04 LTS: installed CTE via Marketplace and everything looked good

    Name:  Screen Shot 2017-03-16 at 16.49.59.jpg
Views: 116
Size:  30.3 KB


    Can you please try the following on your end ?

    - Stop Pentaho server
    - Navigate to "<INSTALL_DIR>/pentaho-solutions/system" and manually delete folder "cte"
    - Start Pentaho server
    - Clear the browser cache
    - Go to the Marketplace and (once again) install CTE
    - Restart Pentaho server

    Let me know how it goes.

    Cheers,

    Pedro T.

  5. #5
    Join Date
    Nov 2015
    Posts
    20

    Default

    Hi Pedro,

    After seeing that it works on your end, I've made several attempts:
    - I have followed your steps on my already installed biserver, without success. See the result on the attached screenshot:
    Name:  Captura de pantalla de 2017-03-17 08-37-36.jpg
Views: 108
Size:  17.2 KB
    Here is a screenshot with the web console:
    Name:  Captura de pantalla de 2017-03-17 09-05-37.jpg
Views: 108
Size:  19.9 KB

    - I downloaded and unzipped a fresh biserver 7.0.0.0-25 in a new directory on my ubuntu 16.04 LTS server. Stopped the other instance and started the new biserver using the provided start script.
    - Logged in using the admin user and installed the CTE with Marketplace:
    Name:  Captura de pantalla de 2017-03-17 08-49-05.jpg
Views: 99
Size:  13.3 KB
    - Restarted the biserver and checked the Marketplace:
    Name:  Captura de pantalla de 2017-03-17 08-47-54.jpg
Views: 107
Size:  14.8 KB
    - Executed Tools -> Community Text Editor. SAME RESULT as with the other biserver instance.

    When I try to upgrade the cte I see this in the Marketplace:
    Name:  Captura de pantalla de 2017-03-17 08-48-24.jpg
Views: 103
Size:  20.2 KB

    What other test should I do?

    Cheers, oggers.
    Last edited by oggers; 03-17-2017 at 04:07 AM.

  6. #6

    Default

    Hey oggers,

    when you start CTE ( Tools > Community Text Editor ), how are the requests's health ?
    On Firefox / Chrome, please have the "Network" tab open. Are there any requests that remain "pending" , or all of them getting serviced just fine ( i.e. HTTP_200 ) ?

    In the case some requests are indeed not getting serviced properly: are you behind any firewall that may be blocking some specific type of requests ?

    On the server side: are you getting any errors on the log files ( tomcat/logs/pentaho.log and tomcat/logs/catalina.out ) ?

    Cheers,

    Pedro T.

  7. #7
    Join Date
    Nov 2015
    Posts
    20

    Default

    Hi Pedro,

    I have checked the network tab in firefox and the only request that fails is /pentaho/api/repos/cte/resources/editor/lib/require-css/css.js with http error 4040 not found. The referer for this resource is /pentaho/plugin/cte/api/edit?path=/public/cte/welcome.txt

    On the localhost_access_log file on the server side I found:
    Code:
    172.16.32.58 - - [20/Mar/2017:10:08:41 +0100] "GET /pentaho/api/repos/cte/resources/editor/lib/require-css/css.js HTTP/1.1" 404 -
    Nothing else on other log files.

    I'm not behind any firewall, indeed I have other biserver 6.1 running on a different port on the same server and the cte works ok.

    Cheers
    Last edited by oggers; 03-20-2017 at 05:50 AM.

  8. #8

    Default

    Hi oggers,

    can you please try it once again ? A new CTE build was made today.

    Update CTE either via Marketplace, or should the update process fail for whatever reason - as you mentioned above - manually delete CTE folder in pentaho-solutions/system and then do a fresh install via Marketplace.

    Please let me know how it goes.

    Cheers,

    Pedro T.

  9. #9
    Join Date
    Nov 2015
    Posts
    20

    Default

    Hi Pedro,

    GOOD NEWS!!!! The CTE now works!!!

    I have updated CTE via Marketplace. According to the Marketplace I had version 7.1-SNAPSHOT (TRUNK) and it was upgradable (green button).
    The update process went with no errors, resulting in the typical "Restart server" message. Before restarting, the Marketplace shows that version 7.0 was installed. Upgrading from 7.1 to 7.0, I woudln't say that this is a upgrade, instead I would call it downgrade.
    After restarting the server the Marketplace shows that version 7.1-SNAPSHOT (TRUNK) was installed and it is upgradable (green button). I can repeat the upgrade process "ad infinitum" with the same results: upgrade to 7.0, but actually is 7.1.

    Name:  Captura de pantalla de 2017-03-22 08-52-12.jpg
Views: 84
Size:  7.0 KB

    The good news is that now the CTE works.

    Name:  Captura de pantalla de 2017-03-22 08-53-26.jpg
Views: 84
Size:  19.0 KB

    Thank you Pedro!!!
    Last edited by oggers; 03-22-2017 at 03:57 AM.

  10. #10

    Default

    Hey oggers,

    that's good news indeed!

    That Marketplace "upgrade" indicator is something we will take a look at, but should not be a blocker for you, as the main thing is that CTE is working now.

    Cheers,

    Pedro T.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.